SMSSiteComponents (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSSiteComponents interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSSiteComponents

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMSSiteComponents

extends LogicalElement

SMS_Components class reports on the health of individual SMS components by counting the error, warning, and informational status messages produced by each component. It provides a high-level view of the health of SMS server components at a given site. An instance of this class is created for each server component running in the site.

Naming Rules:
  0="SMSSite,componentName"
Persistable:
  true
Table Name:
  SMSCOMPONENTS
Display Name:
  componentName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getComponentName()` Name of the component, such as client access point.
`long` | `getLastContacted()` Date and time a status message was last received from the component.
`long` | `getLastStarted()` Date and time when the component last started.
`long` | `getNextScheduledTime()` Date and time when the component is next scheduled to start, if the component runs according to a schedule.
`int` | `getNumErrors()` Number of error status messages reported by the component during the tally interval.
`int` | `getNumInfos()` Number of informational status messages reported by the component during the tally interval.
`int` | `getNumWarnings()` Number of warning status messages reported by the component during the tally interval.
`SMSSiteServer` | `getSMSSite()`
`int` | `getState()` State of the component.
`int` | `getStatus()` Indicates the health of the component.
`int` | `getType()` Indicates whether the component runs according to a schedule or auto starts (runs continuously).
`boolean` | `hasComponentName()`
`boolean` | `hasLastContacted()`
`boolean` | `hasLastStarted()`
`boolean` | `hasNextScheduledTime()`
`boolean` | `hasNumErrors()`
`boolean` | `hasNumInfos()`
`boolean` | `hasNumWarnings()`
`boolean` | `hasSMSSite()`
`boolean` | `hasState()`
`boolean` | `hasStatus()`
`boolean` | `hasType()`
`void` | `setComponentName(java.lang.String x)`
`void` | `setLastContacted(long x)`
`void` | `setLastStarted(long x)`
`void` | `setNextScheduledTime(long x)`
`void` | `setNumErrors(int x)`
`void` | `setNumInfos(int x)`
`void` | `setNumWarnings(int x)`
`void` | `setSMSSite(SMSSiteServer x)`
`void` | `setState(int x)`
`void` | `setStatus(int x)`
`void` | `setType(int x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getNumInfos

    int getNumInfos()
                    throws AttributeNotSetException

  Number of informational status messages reported by the component during the tally interval.

  Throws:
    `AttributeNotSetException`

### setNumInfos

    void setNumInfos(int x)

### hasNumInfos

    boolean hasNumInfos()

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Indicates the health of the component. Values are: GREEN (0) = OK YELLOW (1) = Warning RED (2) = Critical A Green status indicates that there are no warning or error messages. A Yellow status indicates that warning messages were generated, but not error messages. A Red status indicates that there are error messages.

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(int x)

### hasStatus

    boolean hasStatus()

### getState

    int getState()
                 throws AttributeNotSetException

  State of the component. Values are: STOPPED (0) STARTED (1) PAUSED (2) INSTALLING (3) RE_INSTALLING (4) DE_INSTALLING (5)

  Throws:
    `AttributeNotSetException`

### setState

    void setState(int x)

### hasState

    boolean hasState()

### getSMSSite

    SMSSiteServer getSMSSite()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setSMSSite

    void setSMSSite(SMSSiteServer x)

### hasSMSSite

    boolean hasSMSSite()

### getLastStarted

    long getLastStarted()
                        throws AttributeNotSetException

  Date and time when the component last started. The time zone is based on the time zone of the site specified in the SiteCode property.

  Throws:
    `AttributeNotSetException`

### setLastStarted

    void setLastStarted(long x)

### hasLastStarted

    boolean hasLastStarted()

### getNumWarnings

    int getNumWarnings()
                       throws AttributeNotSetException

  Number of warning status messages reported by the component during the tally interval.

  Throws:
    `AttributeNotSetException`

### setNumWarnings

    void setNumWarnings(int x)

### hasNumWarnings

    boolean hasNumWarnings()

### getNumErrors

    int getNumErrors()
                     throws AttributeNotSetException

  Number of error status messages reported by the component during the tally interval.

  Throws:
    `AttributeNotSetException`

### setNumErrors

    void setNumErrors(int x)

### hasNumErrors

    boolean hasNumErrors()

### getNextScheduledTime

    long getNextScheduledTime()
                              throws AttributeNotSetException

  Date and time when the component is next scheduled to start, if the component runs according to a schedule. The time zone is based on the time zone of the SiteCode property.

  Throws:
    `AttributeNotSetException`

### setNextScheduledTime

    void setNextScheduledTime(long x)

### hasNextScheduledTime

    boolean hasNextScheduledTime()

### getLastContacted

    long getLastContacted()
                          throws AttributeNotSetException

  Date and time a status message was last received from the component. The time zone is based on the time zone of the site specified in the SiteCode property.

  Throws:
    `AttributeNotSetException`

### setLastContacted

    void setLastContacted(long x)

### hasLastContacted

    boolean hasLastContacted()

### getComponentName

    java.lang.String getComponentName()
                                      throws AttributeNotSetException

  Name of the component, such as client access point.

  Throws:
    `AttributeNotSetException`

### setComponentName

    void setComponentName(java.lang.String x)

### hasComponentName

    boolean hasComponentName()

### getType

    int getType()
                throws AttributeNotSetException

  Indicates whether the component runs according to a schedule or auto starts (runs continuously). Values are: AUTOSTARTING (0) SCHEDULED (1) MANUAL (2)

  Throws:
    `AttributeNotSetException`

### setType

    void setType(int x)

### hasType

    boolean hasType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD